package com.fuint.common.dto.ext;

import lombok.AllArgsConstructor;
import lombok.Data;

import java.util.List;

// ECharts 响应格式 DTO
@Data
public class EchartsBarResponse {
    private List<String> years;        // xAxis.data: ['2012', '2013', ...]
    private List<SeriesData> series;   // 各店铺数据系列

    public EchartsBarResponse(List<String> dates, List<SeriesData> series) {
        this.years = dates;
        this.series = series;
    }

    public EchartsBarResponse() {

    }
}