package com.fuint.common.dto.ext;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;

/**
 * @author Survive
 * @date 2025/3/10
 * @description TODO 邮件服务DTO
 */
@Data
@AllArgsConstructor
public class EmailDto {
    @ApiModelProperty("收件人")
    private String to;

    @ApiModelProperty("邮件主题")
    private String subject;

    @ApiModelProperty("邮件内容")
    private String content;
}