package com.fuint.common.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.Date;

// 店铺VO对象
@Data
@AllArgsConstructor
public class ShopVO {
    private Long id;
    private String name;
    @ApiModelProperty("店铺负责人")
    private String contact;
    @ApiModelProperty("联系电话")
    private String phone;
    @ApiModelProperty("收件邮箱")
    private String mail;
    @ApiModelProperty("预警阈值")
    private BigDecimal threshold;
    @ApiModelProperty("更新时间")
    private Date updateTime;
   /* @ApiModelProperty("总收益额")
    private BigDecimal totalIncome;*/
}