package com.fuint.repository.bean;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author 彭Mr.
 * @date 2025/3/5
 * @Description
 */
@Data
public class TableCategoryBean {

	@ApiModelProperty("桌号分类ID，主键，自增")
	private Long id;

	@ApiModelProperty("桌号分类名称，如一楼、二楼等")
	private String categoryName;

	@ApiModelProperty("记录创建时间")
	private Date createTime;

	@ApiModelProperty("桌号分类描述，可选")
	private String description;

	@ApiModelProperty("门店名称")
	private String storeName;

	@ApiModelProperty("记录更新时间")
	private Date updateTime;
}
