package com.fuint.common.vo;

import lombok.Data;
import lombok.experimental.Accessors;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.Date;
import java.util.List;

// 详情响应对象
@Data
@Accessors(chain = true)
public class ShopDetailVO {
    private Long id;
    private String name;
    private String mail;
    private BigDecimal threshold;
    private Date createTime;
    private Date updateTime;
//    当日订单
    private List<OrderVO> ordersToday;
}